uicc.access.fileadministration

## Class AdminFileViewBuilder

- java.lang.Object
- - uicc.access.fileadministration.AdminFileViewBuilder

-     public class AdminFileViewBuilder
      extends java.lang.Object

  The `AdminFileViewBuilder` class provides a way to get a administrative view of a UICC File system server. The `AdminFileView` objects returned by the methods of this class are permanent JCRE Entry Point Objects.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdminFileView` | `getTheAdminFileView(AID aid, byte bType)` Method to get a reference to a AdminFileView object on an ADF file system server.
    `static AdminFileView` | `getTheAdminFileView(byte[] buffer, short bOffset, byte bLength, byte bType)` Method to get a reference to a AdminFileView object on an ADF file system server.
    `static AdminFileView` | `getTheUICCAdminFileView(byte bType)` Method to get a reference to a AdminFileView object on the UICC file system server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTheUICCAdminFileView

          public static AdminFileView getTheUICCAdminFileView(byte bType)
                                                       throws SystemException

      Method to get a reference to a AdminFileView object on the UICC file system server. The AdminFileView object will only allow access to the Files specified under the MF of the UICC. It is not possible to get access to files which are located under any ADF with this AdminFileView object. After a successful invocation of the method the MF is the current selected file. This method return `null` if the `Applet.register()` has not yet been invoked, or the filesystem server returns `null`
      Parameters:
        `bType` - defining the type of the file context associated with the AdminFileView object the following values are allowed JCSystem.NOT_A_TRANSIENT_OBJECT JCSystem.CLEAR_ON_RESET JCSystem.CLEAR_ON_DESELECT
      Returns:
        a reference to a class which implements the AdminFileView interface
      Throws:
        `SystemException` - with the following reason codes:
        - `SystemException.ILLEGAL_VALUE` if bType is not a valid value.
        - `SystemException.NO_TRANSIENT_SPACE` if sufficient transient space is not available.
        - `SystemException.ILLEGAL_TRANSIENT` if the current applet context is not the currently selected applet context and `CLEAR_ON_DESELECT` is specified.

    - #### getTheAdminFileView

          public static AdminFileView getTheAdminFileView(AID aid,
                                                          byte bType)
                                                   throws java.lang.NullPointerException,
                                                          SystemException

      Method to get a reference to a AdminFileView object on an ADF file system server. The AdminFileView object will only allow access to Files under the ADF specified by the AID. It is not possible to access files which are not located under the ADF. After a successful invocation of the method the ADF is the currently selected file. This method return `null` if the `Applet.register()` has not yet been invoked, or the filesystem server does not exist or the filesystem server returns `null`
      Parameters:
        `bType` - defining the type of the file context associated with the AdminFileView object the following values are allowed JCSystem.NOT_A_TRANSIENT_OBJECT JCSystem.CLEAR_ON_RESET JCSystem.CLEAR_ON_DESELECT
        `aid` - Description of the Parameter
      Returns:
        a reference to a class which implements the AdminFileView interface
      Throws:
        `java.lang.NullPointerException` - if `buffer` is `null`
        `SystemException` - with the following reason codes:
        - `SystemException.ILLEGAL_VALUE` if bType is not a valid value.
        - `SystemException.NO_TRANSIENT_SPACE` if sufficient transient space is not available.
        - `SystemException.ILLEGAL_TRANSIENT` if the current applet context is not the currently selected applet context and `CLEAR_ON_DESELECT` is specified.

    - #### getTheAdminFileView

          public static AdminFileView getTheAdminFileView(byte[] buffer,
                                                          short bOffset,
                                                          byte bLength,
                                                          byte bType)
                                                   throws java.lang.NullPointerException,
                                                          java.lang.ArrayIndexOutOfBoundsException,
                                                          SystemException

      Method to get a reference to a AdminFileView object on an ADF file system server. The AdminFileView object will only allow access to Files under the ADF specified by the AID. It is not possible to access files which are not located under the ADF. After a successful invocation of the method the ADF is the currently selected file. This method return `null` if the `Applet.register()` has not yet been invoked, or the filesystem server does not exist or the filesystem server returns `null`

      Notes:

      - If `bOffset` or `bLength` is negative an `ArrayIndexOutOfBoundsException` exception is thrown.
      - If `bOffset+bLength` is greater than `buffer.length`, the length of the `buffer` array an `ArrayIndexOutOfBoundsException` exception is thrown.
      Parameters:
        `buffer` - thats holds the AID
        `bOffset` - offset into the buffer indicating the start of the AID
        `bType` - defining the type of the file context associated with the AdminFileView object the following values are allowed JCSystem.NOT_A_TRANSIENT_OBJECT JCSystem.CLEAR_ON_RESET JCSystem.CLEAR_ON_DESELECT
        `bLength` - the length of the AID bytes in buffer
      Returns:
        a reference to an object which implements the AdminFileView interface
      Throws:
        `java.lang.NullPointerException` - if `buffer` is `null`
        `java.lang.ArrayIndexOutOfBoundsException` - in case of access outside array bounds
        `SystemException` - with the following reason codes:
        - `SystemException.ILLEGAL_VALUE` if bType is not a valid value or `bLength` is not in the range of 5 - 16 bytes.
        - `SystemException.NO_TRANSIENT_SPACE` if sufficient transient space is not available.
        - `SystemException.ILLEGAL_TRANSIENT` if the current applet context is not the currently selected applet context and `CLEAR_ON_DESELECT` is specified.

Copyright © 2017 ETSI All Rights Reserved.